import type { ModuleOptions } from 'pubinfo';

import type { ProcessEngineOptions } from './interface';

import { ctx } from './context';
import 'uno.css';

export function processEngine(options: ProcessEngineOptions): ModuleOptions {
  const { request, yewuPages } = options;
  ctx.set({ request, yewuPages });

  return {
    name: 'pubinfo:process-engine',
    setup() {},
  };
}
